# MXNet Community
## Questions about Using MXNet
If you need help with using MXNet, have questions about applying it to a particular kind of problem, or have a discussion topic, please use our [forum](https://discuss.mxnet.io).

## File a bug report
Please let us know if you experienced a problem with MXNet and file a bug report. Open [MXNet’s JIRA](http://issues.apache.org/jira/browse/MXNet) and click on the blue `Create` button at the top. Please give detailed information about the problem you encountered and, if possible, add a description that helps to reproduce the problem.<p/>
Issues may also be entered on github: [mxnet/issues](https://github.com/apache/incubator-mxnet/issues).  Github issues are synced to JIRA periodically. Thank you very much.

## Propose an improvement or a new feature
Our community is constantly looking for feedback to improve Apache MXNet. If you have an idea how to improve MXNet or have a new feature in mind that would be beneficial for MXNet users, please open an issue in [MXNet’s JIRA](http://issues.apache.org/jira/browse/MXNet). The improvement or new feature should be described in appropriate detail and include the scope and its requirements if possible. Detailed information is important for a few reasons:<br/>
- It ensures your requirements are met when the improvement or feature is implemented.<br/> 
- It helps to estimate the effort and to design a solution that addresses your needs. <br/>
- It allows for constructive discussions that might arise around this issue.

Detailed information is also required, if you plan to contribute the improvement or feature you proposed yourself. Please read the [contributions](http://mxnet.io/community/contribute.html) guide in this case as well.

## Contributors
MXNet has been developed and is used by a group of active community members. Contribute to improving it! For more information, see [contributions](http://mxnet.io/community/contribute.html).

Please join the contributor mailing list. <a href="mailto:dev-subscribe@mxnet.apache.org">[subscribe]</a>  [archive](https://lists.apache.org/list.html?dev@mxnet.apache.org)

To join the MXNet slack channel send request to the contributor mailing list. 
<a href="mailto:dev-subscribe@mxnet.apache.org">[subscribe]</a> [archive](https://the-asf.slackarchive.io/mxnet)

## Roadmap

MXNet is evolving fast. To see what's next and what we are working on internally, go to the [MXNet Roadmap](https://github.com/apache/incubator-mxnet/labels/Roadmap).

## Social Media

- Subscribe to the [MXNet Youtube channel](https://www.youtube.com/channel/UCQua2ZAkbr_Shsgfk1LCy6A)
- Follow us on twitter [@apachemxnet](https://twitter.com/apachemxnet)!
